NXOpen .NET Reference  12.0.0
Public Member Functions | Protected Member Functions | Properties | List of all members
NXOpen.CAE.SketchCurvesCollection Class Reference

Represents the collection of all NXOpen.CAE.SketchCurves in a fem part More...

Inheritance diagram for NXOpen.CAE.SketchCurvesCollection:

Public Member Functions

NXOpen.CAE.SketchCurves[] ToArray ()
 Returns an array of NXOpen.CAE.SketchCurves objects. More...
 
unsafe NXOpen.CAE.SketchCurves FindObject (string journalIdentifier)
 Finds the NXOpen.CAE.SketchCurves with the given identifier as recorded in a journal. More...
 

Protected Member Functions

override int EnumerateMoveNext (ref Tag currentTag, byte[] state)
 Advances the enumerator to the next element of the collection. More...
 

Properties

Tag Tag [get]
 Returns the tag of this object. More...
 

Detailed Description

Represents the collection of all NXOpen.CAE.SketchCurves in a fem part

To obtain an instance of this class, refer to NXOpen.CAE.BaseFemPart

Created in NX7.5.0

Member Function Documentation

override int NXOpen.CAE.SketchCurvesCollection.EnumerateMoveNext ( ref Tag  currentTag,
byte[]  state 
)
protected

Advances the enumerator to the next element of the collection.

unsafe NXOpen.CAE.SketchCurves NXOpen.CAE.SketchCurvesCollection.FindObject ( string  journalIdentifier)

Finds the NXOpen.CAE.SketchCurves with the given identifier as recorded in a journal.

An object may not return the same value as its JournalIdentifier in different versions of the software. However newer versions of the software should find the same object when FindObject is passed older versions of its journal identifier. In general, this method should not be used in handwritten code and exists to support record and playback of journals.

An exception will be thrown if no object can be found with the given journal identifier.

Created in NX5.0.0

License requirements: None.

Parameters
journalIdentifierSketch Curves name
Returns
Sketch Curves with this identifier
NXOpen.CAE.SketchCurves [] NXOpen.CAE.SketchCurvesCollection.ToArray ( )

Returns an array of NXOpen.CAE.SketchCurves objects.

Property Documentation

Tag NXOpen.CAE.SketchCurvesCollection.Tag
get

Returns the tag of this object.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.